# Configure a fresh linux installation

## Install basic programs

Install `git` and `fish`

## Change default user
### Add

```sh
sudo adduser jovian
sudo usermod -aG sudo jovian
```

### Delete default user

```sh
raspi-config # boot > cli > not autologin
reboot
sudo userdel -r pi
```

## Clone configuration repository

[From Gogs](https://gogs.jovian-hersemeule.eu/DricomDragon/JovianLinux)

## Set up your tools

By executing scripts from _Install_ folder.

## Change hostname
sudoedit `/etc/hostname`

## Set up SSH

### Add id key

```sh
vim .ssh/authorizedkeys
```
Test if working.

### Remove password authentication

```sh
sudoedit /etc/ssh/sshd_config
```

## Desktop installation

### Disable package update
sudoedit /etc/apt/apt.conf.d/10periodic
APT::Periodic::Update-Package-Lists "1";
APT::Periodic::Update-Package-Lists "0";

### Copy dot folders

Like _.thunderbird_, _.mozilla_, _.ssh_
